madshi bug tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000549madVRbugpublic2018-03-27 23:322018-09-30 17:29
Reporterjustsomemadvrdude 
Assigned Tomadshi 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSWindows 10 x64OS Versionlatest
Summary0000549: When using
DescriptionUsing a standard "convert hdr content to sdr by using pixel shader math" setup with non-exotic settings "HDR-to-SDR-mode" "drops out" when skipping chapters multiple times (somtetimes already on the first chapter skip)
Steps To ReproduceConfig:
Config MadVR standard, but:
- Activate: "convert hdr content to sdr by using pixel shader math" to play HDR content on an regular SDR display
- XySubFilter is used to display PGS subs

Steps:
- Use MPC-BE or KODI DSPLayer to play an UHD HDR MKV
- Important: XySubFilter: Subtitles have to be activated using XySubFilter showing the MKV integrated PGS subs
- When playback starts, you can verify that the colors are converted quite nicely according to your "convert hdr content to sdr by using pixel shader math"-settings
- Skip one or multiple times to a chapter in the UHD HDR MKV you are playing
- You should see that after skipping suddenly the on the fly HDR to SDR is gone. Colors look dull, like there is no conversion at all. Changing HDR to SDR settings while playing the file further don't have an effect anymore.

Solution:
- Fully stop playback and let MadVR deinitialize
- Start playback again with a new MadVR "session"
- Everything fine again as long as you don't skip around to chapters
TagsNo tags attached.
madVR Versionv0.92.12
Media Player (with version info)KODI DSPlayer and MPC-BE
Splitter (with version info)LAV 0.70.2 and 0.71
Decoder (with version info)LAV 0.70.2 and 0.71
DecodingDXVA2 Native
Deinterlacingnone (progressive)
DXVA2 Scaling Activeno
Aero / Desktop CompositionOn
Problem occurs with modeall modes
GPU ManufacturerAMD
GPU ModelRX 580
GPU Driver Version18.4.3
Attached Files

- Relationships

-  Notes
(0002247)
justsomemadvrdude (reporter)
2018-03-27 23:34
edited on: 2018-03-27 23:37

I messed up the bug-report summary - sorry about that. Maybe you can correct it since i don't have rights to edit it as far as i can see.

Thanks much! :-)

Some more info:
The issue does not occur at all if you disable the XySubFilter-subtitles.
If you're using MPC-BE internal subtitle-filter there also seems to be _no_ problem. Looks like an issue between XySubFilter and MadVR.

(0002267)
justsomemadvrdude (reporter)
2018-03-28 23:46
edited on: 2018-03-28 23:47

If you need more information or testing from me, just let me know! Thanks again.

(0002361)
madshi (administrator)
2018-09-15 15:40

Can you please check if the problem still occurs with this test build?

http://madshi.net/madVRhdrRestoreDetails21.zip [^]
(0002365)
justsomemadvrdude (reporter)
2018-09-17 16:39

Just checked. A first quick test indicated it might be fixed.
I will do some more "real" tests this week and report back again! Thx
(0002429)
madshi (administrator)
2018-09-30 17:29

Since it seems to be fixed, I'll close this bug report now. If the issue does still occur, after all, please feel free to re-open.

- Issue History
Date Modified Username Field Change
2018-03-27 23:32 justsomemadvrdude New Issue
2018-03-27 23:34 justsomemadvrdude Note Added: 0002247
2018-03-27 23:37 justsomemadvrdude Note Edited: 0002247 View Revisions
2018-03-27 23:38 madshi Assigned To => madshi
2018-03-27 23:38 madshi Status new => assigned
2018-03-28 23:46 justsomemadvrdude Note Added: 0002267
2018-03-28 23:47 justsomemadvrdude Note Edited: 0002267 View Revisions
2018-09-15 15:40 madshi Note Added: 0002361
2018-09-15 15:40 madshi Status assigned => feedback
2018-09-17 16:39 justsomemadvrdude Note Added: 0002365
2018-09-17 16:39 justsomemadvrdude Status feedback => assigned
2018-09-18 00:04 madshi Status assigned => feedback
2018-09-30 17:29 madshi Note Added: 0002429
2018-09-30 17:29 madshi Status feedback => closed
2018-09-30 17:29 madshi Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker